services:
  app:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: alrahma_dev_app
    env_file:
      - .env.dev
    volumes:
      - ./:/var/www/html
      - /var/www/html/vendor
    networks:
      - alrahma_sunday_school_default

  web:
    image: nginx:1.25-alpine
    container_name: alrahma_dev_web
    ports:
      - "8080:80"
    volumes:
      - ./:/var/www/html:ro
      - ./docker/nginx/app.conf:/etc/nginx/conf.d/default.conf:ro
    depends_on:
      - app
    networks:
      - alrahma_sunday_school_default

networks:
  alrahma_sunday_school_default:
    external: true
